CSL 5.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes
csl::IODevice Class Reference

IO Device class – a holder for a sound interface with name, id, # IO channels, etc. More...

`#include <CSL_Core.h>`

List of all members.

## Public Member Functions
| IODevice ()
| IODevice (char *name, unsigned index, unsigned maxIn, unsigned maxOut, bool isIn, bool isOut)
| Constructor takes all variables, calls initialize()
| IODevice (string name, unsigned index, unsigned maxIn, unsigned maxOut, bool isIn, bool isOut)
void | dump ()
| pretty-print the receiver' device

## Public Attributes
char | mName [CSL_NAME_LEN]
| public members
unsigned | mIndex
| index (API-specific)
unsigned | mMaxInputChannels
| # HW ins
unsigned | mMaxOutputChannels
| # HW outs
float | mFrameRate
| current SR
vector< float > | mFrameRates
| the vector of frame rates I support
bool | mIsDefaultIn
| am i the default in?
bool | mIsDefaultOut
| am i the default out?

## Detailed Description

IO Device class – a holder for a sound interface with name, id, # IO channels, etc.

Definition at line 773 of file CSL_Core.h.

## Constructor & Destructor Documentation

csl::IODevice::IODevice | ( |  | ) |
| inline

Definition at line 775 of file CSL_Core.h.

IODevice::IODevice | ( | char * | name,
|  | unsigned | index,
|  | unsigned | maxIn,
|  | unsigned | maxOut,
|  | bool | isIn,
|  | bool | isOut
| ) |  |

Constructor takes all variables, calls initialize()

Definition at line 1377 of file CSL_Core.cpp.

References mName.

IODevice::IODevice | ( | string | name,
|  | unsigned | index,
|  | unsigned | maxIn,
|  | unsigned | maxOut,
|  | bool | isIn,
|  | bool | isOut
| ) |  |

Definition at line 1383 of file CSL_Core.cpp.

References mName.

## Member Function Documentation

void IODevice::dump | ( | void |  | ) |

pretty-print the receiver' device

Definition at line 1391 of file CSL_Core.cpp.

References csl::logMsg(), mFrameRate, mIndex, mIsDefaultIn, mIsDefaultOut, mMaxInputChannels, mMaxOutputChannels, and mName.

Referenced by csl::CAIO::CAIO().

## Member Data Documentation

char csl::IODevice::mName[CSL_NAME_LEN]

public members

my device name

Definition at line 779 of file CSL_Core.h.

Referenced by csl::CAIO::CAIO(), dump(), and IODevice().

unsigned csl::IODevice::mIndex

index (API-specific)

Definition at line 780 of file CSL_Core.h.

Referenced by csl::CAIO::CAIO(), and dump().

unsigned csl::IODevice::mMaxInputChannels

# HW ins

Definition at line 781 of file CSL_Core.h.

Referenced by csl::CAIO::CAIO(), and dump().

unsigned csl::IODevice::mMaxOutputChannels

# HW outs

Definition at line 782 of file CSL_Core.h.

Referenced by csl::CAIO::CAIO(), and dump().

float csl::IODevice::mFrameRate

current SR

Definition at line 783 of file CSL_Core.h.

Referenced by csl::CAIO::CAIO(), and dump().

vector<float> csl::IODevice::mFrameRates

the vector of frame rates I support

Definition at line 784 of file CSL_Core.h.

Referenced by csl::PAIO::initialize().

bool csl::IODevice::mIsDefaultIn

am i the default in?

Definition at line 785 of file CSL_Core.h.

Referenced by csl::CAIO::CAIO(), and dump().

bool csl::IODevice::mIsDefaultOut

am i the default out?

Definition at line 786 of file CSL_Core.h.

Referenced by csl::CAIO::CAIO(), and dump().

The documentation for this class was generated from the following files:

- CSL/Kernel/CSL_Core.h
- CSL/Kernel/CSL_Core.cpp